%define shortname translatoid
%define svn svn20120218

Name:		plasma-applet-translatoid
Version:	1.30
Release:	%mkrel 3
Summary:	Plasma widget to translate text using Google Translate
Group:		Graphical desktop/KDE
License:	LGPLv2
URL:		http://kde-look.org/content/show.php/translatoid?content=97511

Source0:	translatoid-%{version}-%{svn}.tar.bz2
Source1:	po.tar.gz

# Fetch translations from kde trunk, missing in the source tarball
Patch0:		plasma-applet-translatoid-1.30-mga-add-translations.patch

BuildRequires:	kdelibs4-devel
BuildRequires:	qjson-devel
Provides:	plasma-applet

%description
A plasma widget to translate text using Google Translate

%prep
%setup -q -n %{shortname}-%{version}
%setup -n %{shortname}-%{version} -T -D -a 1
%apply_patches

%build
%cmake_kde4
%make

%install
%{makeinstall_std} -C build

%find_lang plasma_applet_translatoid

%files -f plasma_applet_translatoid.lang
%doc README licence.txt
%{_kde_libdir}/kde4/plasma_applet_translatoid.so
%{_kde_services}/plasma-applet-translatoid.desktop
%{_kde_iconsdir}/*/*/*/translator.*
%{_kde_iconsdir}/kbflags/*
%{_kde_appsdir}/translatoid/translatoid.db
%{_kde_appsdir}/cmake/modules/FindQJSON.cmake



%changelog

* Tue Mar 13 2012 dglent <dglent> 1.30-3.mga2
+ Revision: 223189
- Add the download_i18n.sh script which is used to generate the po/ folder with the translations, in SOURCES/
- Add a tarball with the po/ folder with the translations
  Add the script download_i18n.sh which is used to generate the po/ folder, in SOURCES/
- Added the /po folder with the translations in the tarball
- Add translations missing in source tarball (mga#169)

* Sat Mar 05 2011 ahmad <ahmad> 1.30-2.mga1
+ Revision: 65090
- ship an svn snapshot to make it work with the new Google API

* Thu Feb 24 2011 ahmad <ahmad> 1.30-1.mga1
+ Revision: 59084
- update to 1.30
- clean spec
- drop patch0
- imported package plasma-applet-translatoid


* Tue Apr 13 2010 Ahmad Samir <ahmadsamir@mandriva.org> 1.1-0.svn20091215.2mdv2010.1
+ Revision: 534510
- add patch to fix translation parsing (thanks to ronanjardim)

* Tue Dec 15 2009 Ahmad Samir <ahmadsamir@mandriva.org> 1.1-0.svn20091215.1mdv2010.1
+ Revision: 479072
- new svn snapshot

* Wed Dec 09 2009 Ahmad Samir <ahmadsamir@mandriva.org> 1.1-0.svn20091209.1mdv2010.1
+ Revision: 475273
- New svn snapshot

* Wed Nov 25 2009 Ahmad Samir <ahmadsamir@mandriva.org> 1.1-0.svn20091125.1mdv2010.1
+ Revision: 470070
- Use svn snapshot for 1.1, more complete (missing file in tarball)
- Add BuildRequires
- New version 1.1b

* Sat Oct 24 2009 Ahmad Samir <ahmadsamir@mandriva.org> 1.0-0.rc1.1mdv2010.1
+ Revision: 459180
- import plasma-applet-translatoid

